﻿@model List<MainSlider>
@{
    Layout = null;
    int counter = 0;
    string[] arr = new[] { "bounceInRight", "bounceInLeft", "bounceInDown", "bounceInUp", "zoomInUp", "zoomInDown", "zoomInLeft", "zoomInRight", "flipInX", "lightSpeedIn" };
    var effectsList = arr.OrderBy(x => Guid.NewGuid()).ToList();
    var culture = System.Threading.Thread.CurrentThread.CurrentCulture.TwoLetterISOLanguageName.ToLower();
}

    <div id="carousel-generic" class="carousel slide">
        <ol class="carousel-indicators">
            @foreach (var item in Model)
            {
                string active = "";
                if (item == Model.FirstOrDefault()) { active = "active"; }
                <li data-target="#carousel-generic" data-slide-to="@counter" class="@active"></li>
                counter++;
            }
        </ol>
        <div class="carousel-inner" role="listbox">
            @foreach (var item in Model)
            {
                string active = "";
                if (item == Model.FirstOrDefault()) { active = "active"; }
                var effect = effectsList.OrderBy(i => Guid.NewGuid()).FirstOrDefault();
                <div class="item @active" style="background-image: url(/images/main-slider/@item.ImageName)">
                    <div class="carousel-caption">
                        @if (culture == "mk")
                        {
                            <h3 data-animation="animated @effect">@item.Title_MK</h3>
                            <p data-animation="animated @effect">
                                @item.Description_MK
                            </p>
                            <a href="@Url.Action(item.Action, item.Controller)" class="btn btn-primary btn-lg" data-animation="animated @effect">Повеќе</a>
                        }
                        else
                        {
                            <h3 data-animation="animated @effect">@item.Title_EN</h3>
                            <p data-animation="animated @effect">
                                @item.Description_EN
                            </p>
                            <a href="@Url.Action(item.Action, item.Controller)" class="btn btn-primary btn-lg" data-animation="animated @effect">More</a>
                        }
                    </div>
                </div>
            }
        </div>
        <a class="left carousel-control" href="#carousel-generic" role="button" data-slide="prev">
            <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
        </a>
        <a class="right carousel-control" href="#carousel-generic" role="button" data-slide="next">
            <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
        </a>
    </div>
